#
# spec file for package rfcat
#
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define rfcat_group rfcat
Name:           rfcat
Version:        0.0.0.git1502127218.53b26b4
Release:        lp150.1.3
Summary:        The swiss army knife of subGHz
License:        BSD-2-Clause
Group:          Productivity/Hamradio/Other
URL:            https://github.com/atlas0fd00m/rfcat
Source:         %{name}-%{version}.tar.xz
BuildRequires:  git-core
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  pkgconfig(udev)
Requires:       %{name}-udev
Requires:       python-numpy
Requires:       python-pyside
Requires:       python-usb
BuildArch:      noarch

%description
RfCat allows you to control the wireless transceiver from an interactive
Python shell or your own program running on your computer.

%package udev
Summary:        Udev rules for rfcat
Group:          Hardware/Other
Requires(pre):  shadow

%description udev
Udev rules for rfcat

%prep
%setup -q
# Remove files that may be problematic from a license point of view
rm -f firmware/cc1111_vcom.c
rm -f firmware/cc1111_vcomdesc.c
rm -f firmware/include/cc1111_vcom.h
# HACK: set udev group to rfcat
sed -i 's|GROUP="dialout"|GROUP="rfcat"|g' etc/udev/rules.d/20-rfcat.rules

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -Dpm0644 etc/udev/rules.d/20-rfcat.rules %{buildroot}%{_udevrulesdir}/20-rfcat.rules

%pre udev
getent group %{rfcat_group} >/dev/null || groupadd -r %{rfcat_group}

%post udev
%udev_rules_update

%postun udev
%udev_rules_update

%files
%doc LICENSE README.md README.immesniff
%{_bindir}/rfcat
%{_bindir}/rfcat_bootloader
%{_bindir}/rfcat_msfrelay
%{_bindir}/rfcat_server
%{python_sitelib}/rflib
%{python_sitelib}/vstruct
%{python_sitelib}/rfcat-1.0-py%{py_ver}.egg-info

%files udev
%{_udevrulesdir}/20-rfcat.rules

%changelog
* Mon Oct 30 2017 mardnh@gmx.de
- Install udev-rules
* Tue Aug  8 2017 mardnh@gmx.de
- Upstream moved from bitbucket to github
- Update to version 0.0.0.git1502127218.53b26b4:
  * USB: fix error when EP0 packet size is multiple of EP0_MAX_PACKET_SIZE
  * Add Microsoft WCID descriptor
  * USB: EP5 inbound transactions are slow when len(data) + 5 is equal to EP5_MAX_PACKET_SIZE.  The additional 5 bytes are an app tag, a cmd code, and a length field.
  * Correct typo self.send(self.set_channel_bandhwidth(args)) to self.send(self.set_channel_bandwidth(args))
  * rfcat_msfrelay edited online with Bitbucket
  * README edited online with Bitbucket
  * fixing README
  * Rename readme and convert front page to markdown
* Sat Jan 23 2016 mardnh@gmx.de
- initial package
